Inventory

Stock Adjustments

The StockAdjustments report lists out stock adjustments for a site.

get/inventory/reports/stock-adjustments

Stock Adjustments report

listStockAdjustments

This endpoint provides a report of stock adjustments for the given parameters.

Query parameters

  • site_iduuidrequired

    Filter stock adjustments by site.

  • date_fromdaterequired

    Filter the list of stock adjustments by the date the adjustment was made. The adjustment must have been made on or after this date.

  • date_todaterequired

    Filter the list of stock adjustments by the date the adjustment was made. The adjustment must have been made on or before this date.

  • brand_idsstring[]optional

    Filter the list of stock adjustments by a comma-separated list of brand IDs associated with the inventory products.

  • category_idsstring[]optional

    Filter the list of stock adjustments by a comma-separated list of category IDs associated with the inventory products.

  • pageintegeroptional

    The page to retrieve results from

  • per_pageintegeroptional

    The number of results to return per page

Responses

  • 200

    The stock adjustments were successfully retrieved

  • 401

    The user is unauthenticated

get/inventory/reports/stock-adjustments/queue

Stock Adjustments report queue

actionQueueStockAdjustments

This endpoint queues an export of the report of stock adjustments for the given parameters.

Query parameters

  • site_iduuidrequired

    Filter stock adjustments by site.

  • date_fromdaterequired

    Filter the list of stock adjustments by the date the adjustment was made. The adjustment must have been made on or after this date.

  • date_todaterequired

    Filter the list of stock adjustments by the date the adjustment was made. The adjustment must have been made on or before this date.

  • brand_idsstring[]optional

    Filter the list of stock adjustments by a comma-separated list of brand IDs associated with the inventory products.

  • category_idsstring[]optional

    Filter the list of stock adjustments by a comma-separated list of category IDs associated with the inventory products.

Responses

  • 200

    The job was successfully queued

  • 400

    The request failed.

  • 401

    The user is unauthenticated